Futures Cross
Cancel all orders
Deprecated
POST
/futures/cross/orders/cancel-allPrivateDeprecated: /futures is being replaced by the /perp API; this route has no /perp equivalent yet. Cancel all your open cross orders. Returns the canceled orders.
Permissions: futures:cross:write
OK
application/json- response
[index: integer]?import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.futures.cross.cancelAll()[
{
"id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"type": "limit",
"side": "buy",
"quantity": 100,
"price": 20000,
"tradingFee": 10,
"createdAt": "2025-09-01T15:04:21.129Z",
"filledAt": null,
"canceledAt": "2025-09-01T15:04:21.129Z",
"open": false,
"filled": false,
"canceled": true,
"clientId": "test-client-id-123"
}
]Deposit Lightning POST
Create a Lightning invoice to deposit amount sats. Returns the deposit depositId and the invoice (paymentRequest), which expires after 24 hours. With…
Cancel order POST
Deprecated: /futures is being replaced by the /perp API; this route has no /perp equivalent yet. Cancel an open cross order by its id. Returns the…